﻿using System;
using Telerik.Windows.Documents.Fixed.UI.Layers;

namespace HighlightsUILayerDemo
{
    public class CustomLayersBuilder : UILayersBuilder
    {
        private readonly HighlightsManager highlightsManager;

        public CustomLayersBuilder(HighlightsManager highlightsManager)
        {
            this.highlightsManager = highlightsManager;
        }

        protected override void BuildUILayersOverride(IUILayerContainer uiLayerContainer)
        {
            base.BuildUILayersOverride(uiLayerContainer);
            uiLayerContainer.UILayers.AddBefore("ContentElementsUILayer", new HighlightsUILayer(this.highlightsManager));
        }
    }
}
